RegExpProxy (rhino 1.7.14 API)

org.mozilla.javascript

## Interface RegExpProxy

- All Known Implementing Classes:
    RegExpImpl

      public interface RegExpProxy

  A proxy for the regexp package, so that the regexp package can be loaded optionally.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `RA_MATCH`
    `static int` | `RA_REPLACE`
    `static int` | `RA_SEARCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `action(Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args, int actionType)`
    `java.lang.Object` | `compileRegExp(Context cx, java.lang.String source, java.lang.String flags)`
    `int` | `find_split(Context cx, Scriptable scope, java.lang.String target, java.lang.String separator, Scriptable re, int[] ip, int[] matchlen, boolean[] matched, java.lang.String[][] parensp)`
    `boolean` | `isRegExp(Scriptable obj)`
    `java.lang.Object` | `js_split(Context _cx, Scriptable _scope, java.lang.String thisString, java.lang.Object[] _args)`
    `Scriptable` | `wrapRegExp(Context cx, Scriptable scope, java.lang.Object compiled)`

- - ### Field Detail

    - #### RA_MATCH

          static final int RA_MATCH

      See Also:
        Constant Field Values

    - #### RA_REPLACE

          static final int RA_REPLACE

      See Also:
        Constant Field Values

    - #### RA_SEARCH

          static final int RA_SEARCH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isRegExp

          boolean isRegExp(Scriptable obj)

    - #### compileRegExp

          java.lang.Object compileRegExp(Context cx,
                                         java.lang.String source,
                                         java.lang.String flags)

    - #### wrapRegExp

          Scriptable wrapRegExp(Context cx,
                                Scriptable scope,
                                java.lang.Object compiled)

    - #### action

          java.lang.Object action(Context cx,
                                  Scriptable scope,
                                  Scriptable thisObj,
                                  java.lang.Object[] args,
                                  int actionType)

    - #### find_split

          int find_split(Context cx,
                         Scriptable scope,
                         java.lang.String target,
                         java.lang.String separator,
                         Scriptable re,
                         int[] ip,
                         int[] matchlen,
                         boolean[] matched,
                         java.lang.String[][] parensp)

    - #### js_split

          java.lang.Object js_split(Context _cx,
                                    Scriptable _scope,
                                    java.lang.String thisString,
                                    java.lang.Object[] _args)